%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name    Horde_Xml_Wbxml
%global pear_channel pear.horde.org

Name:           php-horde-Horde-Xml-Wbxml
Version:        2.0.4
Release:        2%{?dist}
Summary:        Provides an API for encoding and decoding WBXML documents

Group:          Development/Libraries
License:        LGPLv2
URL:            http://%{pear_channel}
Source0:        http://%{pear_channel}/get/%{pear_name}-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
BuildRequires:  php-common >= 5.3.0
BuildRequires:  php-pear(PEAR) >= 1.7.0
BuildRequires:  php-channel(%{pear_channel})
# To run unit tests
BuildRequires:  php-pear(%{pear_channel}/Horde_Test) >= 2.1.0

BuildRequires:  php-xml
%if 0%{?fedora} > 12
BuildRequires:  libwbxml
%endif

Requires(post): %{__pear}
Requires(postun): %{__pear}
Requires:       php-common >= 5.3.0
Requires:       php-pear(PEAR) >= 1.7.0
Requires:       php-pcre
Requires:       php-xml
Requires:       php-channel(%{pear_channel})
Requires:       php-pear(%{pear_channel}/Horde_Util) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Util) >= 3.0.0

Provides:       php-pear(%{pear_channel}/%{pear_name}) = %{version}


%description
This package provides encoding and decoding of WBXML (Wireless Binary XML)
documents. WBXML is used in SyncML for transferring smaller amounts of data
with wireless devices.

%prep
%setup -q -c

cd %{pear_name}-%{version}
cp ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}


%check
cd %{pear_name}-%{version}/test/$(echo %{pear_name} | sed -e s:_:/:g)
# ignore test when wbxml2xml fails
sed -e '/assertEquals/s/^/if ($xml_ref) /' \
    -i DecodeTest.php

phpunit --bootstrap=bootstrap.php -d date.timezone=UTC .

%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_channel}/%{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%dir %{pear_phpdir}/Horde/Xml
%{pear_phpdir}/Horde/Xml/Wbxml
%{pear_phpdir}/Horde/Xml/Wbxml.php
%{pear_testdir}/%{pear_name}


%changelog
* Fri Nov 06 2020 josef radinger <cheese@nosuchhost.net> - 2.0.4-2
- cleanup specfile
- fix check-section 

* Wed Nov 20 2019 josef radinger <cheese@nosuchhost.net> - 2.0.4-1
- bump version
- fix check section

* Wed Feb 03 2016 josef radinger <cheese@nosuchhost.net> - 2.0.3-1
- bump version

* Mon Dec 7 2015 josef radinger <cheese@nosuchhost.net> - 2.0.2-2
- rebuild for rhel7 (check-section)

* Sun Jan 11 2015 josef radinger <cheese@nosuchhost.net> - 2.0.2-1
- bump version
- rebuild

* Sun Feb 10 2013 Remi Collet <remi@fedoraproject.org> - 2.0.1-3
- missing requires, from review #908357

* Wed Feb  6 2013 Remi Collet <remi@fedoraproject.org> - 2.0.1-2
- cleanups for review

* Mon Nov 19 2012 Remi Collet <remi@fedoraproject.org> - 2.0.1-1
- Update to 2.0.1

* Thu Nov  1 2012 Remi Collet <remi@fedoraproject.org> - 2.0.0-1
- Update to 2.0.0

* Sat Jan 28 2012 Nick Bebout <nb@fedoraproject.org> - 1.0.3-1
- Initial package
